Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.kernel.plugins.registry.basic
Class BasicKernelRegistryFactory

    java.lang.Object
      org.jboss.kernel.plugins.registry.basic.BasicKernelRegistryFactory

All Implemented Interfaces:
  KernelRegistryPlugin

public class BasicKernelRegistryFactory
extends Object
implements KernelRegistryPlugin

Basic Kernel registry factory.

Version:
  $Revision: 1.5 $
Author:
  Adrian Brock

Field Summary
`protected Map` | `entries` The registred entries

Constructor Summary
`BasicKernelRegistryFactory()` Create a new basic registry factory

Method Summary
`KernelRegistryEntry` | `getEntry(Object name)` Get a registration
`void` | `registerEntry(Object name, KernelRegistryEntry entry)`
`KernelRegistryEntry` | `unregisterEntry(Object name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### entries

    protected Map entries

  The registred entries

Constructor Detail

### BasicKernelRegistryFactory

    public BasicKernelRegistryFactory()
                               throws Exception

  Create a new basic registry factory

Throws:
  `Exception` - for any error

Method Detail

### registerEntry

    public void registerEntry(Object name,
                              KernelRegistryEntry entry)

### unregisterEntry

    public KernelRegistryEntry unregisterEntry(Object name)

### getEntry

    public KernelRegistryEntry getEntry(Object name)

  Description copied from interface: `KernelRegistryPlugin`
  Get a registration

  Specified by:
    `getEntry` in interface `KernelRegistryPlugin`
  Parameters:
    `name` - the name of the object
  Returns:
    the registration

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.